Summary:        Library for echo cancellation
Name:           webrtc-audio-processing
Version:        0.3.1
Release:        8%{?dist}
License:        BSD and MIT
URL:            http://www.freedesktop.org/software/pulseaudio/webrtc-audio-processing/
Source0:        http://freedesktop.org/software/pulseaudio/webrtc-audio-processing/%{name}-%{version}.tar.xz

Patch3000:         webrtc-fix-typedefs-on-other-arches.patch
Patch3001:         webrtc-audio-processing-0.2-big-endian.patch
Patch3002:         0001-webrtc-audio-processing-0.3.1-add-support-for-loonga.patch

BuildRequires: autoconf automake libtool make
BuildRequires: gcc gcc-c++

%description
This is meant to be a more Linux packaging friendly copy of the AudioProcessing
module from the  WebRTC  project. The ideal case is that we make no changes
to the code to make tracking upstream code easy.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -vif

%configure \
%ifarch aarch64
  --enable-neon=no \
%endif
  --disable-silent-rules \
  --disable-static

%make_build


%install
%make_install

find %{buildroot} -type f -name "*.la" -delete



%files
%license COPYING
%doc NEWS AUTHORS README.md
%{_libdir}/libwebrtc_audio_processing.so.1*

%files devel
%{_libdir}/libwebrtc_audio_processing.so
%{_libdir}/pkgconfig/webrtc-audio-processing.pc
%{_includedir}/webrtc_audio_processing/


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-7
- Rebuilt for loongarch release

* Wed Mar 20 2024 Pengda Dou <doupengda@loongson.cn> - 0.3.1-6
- add support for loongarch64

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 cunshunxia <cunshunxia@tencent.com> - 0.3.1-2
- fix wrong release.

* Thu Nov 24 2022 cunshunxia <cunshunxia@tencent.com> - 0.3.1-1
- initial build
